Bug 9727 - srv_wkssvc_nt.c unconditionally dereferences a unique pointer
srv_wkssvc_nt.c unconditionally dereferences a unique pointer
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-18 08:35 UTC by Volker Lendecke
Modified: 2013-04-23 19:08 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.30 KB, patch)
2013-03-18 08:40 UTC, Volker Lendecke
obnox: review-
Details
patch for 3.6 (1.53 KB, patch)
2013-03-31 18:13 UTC, Volker Lendecke
obnox: review+
Details
patch for 4.0 (1.53 KB, patch)
2013-03-31 18:14 UTC, Volker Lendecke
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2013-03-18 08:35:11 UTC
Reported on samba@samba.org by Chris Kukuchka <chrisk@sequoiagroup.com>
Comment 1 Volker Lendecke 2013-03-18 08:40:15 UTC
Created attachment 8655 [details]
Patch

Applies to master as well, please push to master if okay. Thanks.
Comment 2 Michael Adam 2013-03-18 08:49:53 UTC
Comment on attachment 8655 [details]
Patch

ACK
Comment 3 Volker Lendecke 2013-03-18 08:51:50 UTC
(In reply to comment #2)
> Comment on attachment 8655 [details]
> Patch
> 
> ACK

BTW, this is for 4.0 as well. Not sure how to handle this.
Comment 4 Michael Adam 2013-03-18 08:52:56 UTC
This seems to apply to 4.0 and master as well.

So we should probably first bring it to master
and then cherry-pick to 4.0 and 3.6.
Comment 5 Michael Adam 2013-03-18 08:54:58 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Comment on attachment 8655 [details] [details]
> > Patch
> > 
> > ACK
> 
> BTW, this is for 4.0 as well. Not sure how to handle this.

The intended process would be this:

1. bring to master
2. for each release branch it applies to:
   a. cherry pick the patch to the branch
   b. create attachment in this bug for the corresponding release
Comment 6 Michael Adam 2013-03-18 08:58:12 UTC
I have just pushed it to autobuild for master.
Comment 7 Michael Adam 2013-03-18 08:58:50 UTC
Comment on attachment 8655 [details]
Patch

Withdrawing review + so that we can wait for the new version of the patch with cherry-pick info
Comment 8 Volker Lendecke 2013-03-31 18:13:50 UTC
Created attachment 8703 [details]
patch for 3.6
Comment 9 Volker Lendecke 2013-03-31 18:14:58 UTC
Created attachment 8704 [details]
patch for 4.0
Comment 10 Jeremy Allison 2013-04-04 22:44:35 UTC
(In reply to comment #8)
> Created attachment 8703 [details]
> patch for 3.6

I know you didn't ask me, but I'm +1 on this patch anyway, I don't want to lose it for 3.6.next (and Michael seems busy :-).
Comment 11 Jeremy Allison 2013-04-04 22:46:10 UTC
(In reply to comment #9)
> Created attachment 8704 [details]
> patch for 4.0

I know you didn't ask me, but I'm +1 on this patch anyway, I don't want to lose
it for 4.0.next (and Michael seems busy :-).
Comment 12 Jeremy Allison 2013-04-04 22:46:36 UTC
Re-assigning to Karolin so we don't lose this for 3.6.next and 4.0.next.

Jeremy.
Comment 13 Karolin Seeger 2013-04-07 19:52:30 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 14 Karolin Seeger 2013-04-08 06:51:27 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 15 Michael Adam 2013-04-23 19:07:35 UTC
Sorry for neglecting my bugzilla request queue...
Jeremy, you can also arbitrarily add review+ fields to attachments without being asked for it.